Subject: Re: usr/include/ndbm.h duplicate in cygwin-1.3.11-2
From: "Gerrit P. Haase" <[email-masked]>
To: "Gerrit @ cygwin" <[email-masked]>
Date: Mon, 24 Jun 2002 09:57:39 +0200

Charles schrieb:

> Gerrit P. Haase wrote:

>> Hallo cygwin,
>> 
>> cygwin/cygwin-1.3.11-2 The UNIX emulation engine:
>> Sat Jun 22 02:59:41 2002           2879 usr/include/ndbm.h
>> 
>> gdbm/gdbm-1.8.0-4 GNU dbm database routines (runtime version):
>> Wed Feb 20 03:05:51 2002           2003 usr/include/ndbm.h
>> 
>> Both packages contain the header ndbm.h.

> On June 20, db(3) was added to newlib.  Thus, newlib now ships db.h and 
> ndbm.h.

> db.h will conflict with the new berkeley db package symlink, and ndbm.h 
> as you point out conflicts with gdbm.

> However, since cygwin doesn't yet *export* the database functions, we 
> can hide this problem in the short term by:
>    1) cygwin package shouldn't ship db.h or ndbm.h yet
>    2) leave the db() symbols out of cygwin.din

> That will give us some breathing room until 1.3.12.  Ummm...chris?  I 
> just saw the new announcement for 1.3.11-3 -- I think you removed ndbm.h 
> but db.h is still there... :-(

Ach so, db.h too, I didn't realized this.  Maybe that is the reason why
I cannot build Perl anymore with cygwin-1.3.11-2.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/